################################################################

B_CFLAGS = -I/mingw64/include -I/mingw64/include/glib-2.0 -I/mingw64/x86_64-w64-mingw32/include -I/mingw64/include/python2.7 -pipe -Ofast -mms-bitfields -s -m64
B_LDFLAGS = -L/mingw64/lib -L/mingw64/x86_64-w64-mingw32/lib -L/mingw64/lib/python2.7 -mwindows -lpthread
GIMPARGS = $(shell gimptool-2.0 --cflags --libs)
PCREARGS = $(shell pcre-config --cflags --libs)

make: 
	/mingw64/bin/x86_64-w64-mingw32-gcc.exe -o gimpmask.exe -Wall -O3 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses gimpmask.c $(B_CFLAGS) $(B_LDFLAGS) $(GIMPARGS) $(PCREARGS)

################################################################